# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.nina',
 'deutschland.nina.api',
 'deutschland.nina.apis',
 'deutschland.nina.model',
 'deutschland.nina.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-nina',
    'version': '1.0.2',
    'description': 'Bundesamt für Bevölkerungsschutz: NINA API',
    'long_description': '# nina\nErhalten Sie wichtige Warnmeldungen des Bevölkerungsschutzes für Gefahrenlagen wie zum Beispiel Gefahrstoffausbreitung oder Unwetter per Programmierschnittstelle.\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 1.0.2\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\nIf the python package is hosted on a repository, you can install directly using:\n\n```sh\npip install git+https://github.com/bundesAPI/nina-api.git\n```\n(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/bundesAPI/nina-api.git`)\n\nThen import the package:\n```python\nfrom deutschland import nina\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\nThen import the package:\n```python\nfrom deutschland import nina\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import nina\nfrom pprint import pprint\nfrom deutschland.nina.api import default_api\nfrom deutschland.nina.model.ags_covid_rules import AGSCovidRules\nfrom deutschland.nina.model.ags_overview_result import AGSOverviewResult\nfrom deutschland.nina.model.map_warnings import MapWarnings\n# Defining the host is optional and defaults to https://warnung.bund.de/api31\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = nina.Configuration(\n    host = "https://warnung.bund.de/api31"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith nina.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    ags = "091620000000" # str | Amtlicher Gebietsschlüssel - kann z.B. von [hier](https://www.xrepository.de/api/xrepository/urn:de:bund:destatis:bevoelkerungsstatistik:schluessel:rs_2021-07-31/download/Regionalschl_ssel_2021-07-31.json) bezogen werden.\n\n    try:\n        # Corona Regelungen nach AGS\n        api_response = api_instance.appdata_covid_covidrules_deags_json_get(ags)\n        pprint(api_response)\n    except nina.ApiException as e:\n        print("Exception when calling DefaultApi->appdata_covid_covidrules_deags_json_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://warnung.bund.de/api31*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**appdata_covid_covidrules_deags_json_get**](docs/DefaultApi.md#appdata_covid_covidrules_deags_json_get) | **GET** /appdata/covid/covidrules/DE/{AGS}.json | Corona Regelungen nach AGS\n*DefaultApi* | [**biwapp_map_data_json_get**](docs/DefaultApi.md#biwapp_map_data_json_get) | **GET** /biwapp/mapData.json | Biwapp Meldungen\n*DefaultApi* | [**dashboard_ags_json_get**](docs/DefaultApi.md#dashboard_ags_json_get) | **GET** /dashboard/{AGS}.json | Meldungsübersicht nach AGS\n*DefaultApi* | [**katwarn_map_data_json_get**](docs/DefaultApi.md#katwarn_map_data_json_get) | **GET** /katwarn/mapData.json | Katwarn Meldungen\n*DefaultApi* | [**mowas_map_data_json_get**](docs/DefaultApi.md#mowas_map_data_json_get) | **GET** /mowas/mapData.json | Mowas Meldungen\n\n\n## Documentation For Models\n\n - [AGSCovidRules](docs/AGSCovidRules.md)\n - [AGSCovidRulesCommon](docs/AGSCovidRulesCommon.md)\n - [AGSCovidRulesIcon](docs/AGSCovidRulesIcon.md)\n - [AGSCovidRulesLevel](docs/AGSCovidRulesLevel.md)\n - [AGSCovidRulesRegulations](docs/AGSCovidRulesRegulations.md)\n - [AGSCovidRulesRegulationsSections](docs/AGSCovidRulesRegulationsSections.md)\n - [AGSCovidRulesRegulationsSectionsBUND](docs/AGSCovidRulesRegulationsSectionsBUND.md)\n - [AGSCovidRulesRegulationsSectionsBUNDIcon](docs/AGSCovidRulesRegulationsSectionsBUNDIcon.md)\n - [AGSCovidRulesRegulationsSectionsKREIS](docs/AGSCovidRulesRegulationsSectionsKREIS.md)\n - [AGSCovidRulesRegulationsSectionsKREISIcon](docs/AGSCovidRulesRegulationsSectionsKREISIcon.md)\n - [AGSCovidRulesRegulationsSectionsLAND](docs/AGSCovidRulesRegulationsSectionsLAND.md)\n - [AGSCovidRulesRegulationsSectionsLANDIcon](docs/AGSCovidRulesRegulationsSectionsLANDIcon.md)\n - [AGSCovidRulesRules](docs/AGSCovidRulesRules.md)\n - [AGSOverviewResult](docs/AGSOverviewResult.md)\n - [MapWarnings](docs/MapWarnings.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in nina.apis and nina.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.nina.api.default_api import DefaultApi`\n- `from deutschland.nina.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import nina\nfrom deutschland.nina.apis import *\nfrom deutschland.nina.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/nina-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
